Bug 869257 - RESTAPI: '?current' query parameter in PUT /api/vms/xxx/cdroms/yyy is inconsistent with rest of url parameters in api
RESTAPI: '?current' query parameter in PUT /api/vms/xxx/cdroms/yyy is incons...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michael Pasternak
Barak Dagan
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-10-23 08:20 EDT by Michael Pasternak
Modified: 2016-02-10 14:39 EST (History)
9 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-10-23 08:20:11 EDT
Description of problem:

'?current' query parameter in PUT /api/vms/xxx/cdroms/yyy is inconsistent with the rest of url parameters in api, all url parameters (but query param) are 'matrix' type, while 'current' is 'query'.

[this change is required for clients (such as sdk) to consume url params
in generic way]
Comment 2 Michael Pasternak 2012-10-24 05:33:10 EDT
http://gerrit.ovirt.org/#/c/8765/
Comment 3 Michael Pasternak 2012-10-24 05:34:53 EDT
'?current=true' query parameter is depreciated and supported for backward compatibility only - should be dropped at 4.0,

new way to specify change-disk is: PUT /api/vms/xxx/cdroms/yyy;current
Comment 5 Barak Dagan 2012-11-14 10:48:46 EST
verified on si24.1

tested:

?current=true
?current=false
;current=true
;current=false

getting the following results:


true
-----
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cdrom id="00000000-0000-0000-0000-000000000000">
    <file id="rhev-tools-setup.iso"/>
</cdrom>


false
-----
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cdrom id="00000000-0000-0000-0000-000000000000">
    <file id="rhev-tools-setup.iso"/>
</cdrom>

Note You need to log in before you can comment on or make changes to this bug.